%global	gem_name	thread_order

Name:		rubygem-%{gem_name}
Version:	1.1.1
Release:	3%{?dist}

Summary:	Test helper for ordering threaded code
License:	MIT
URL:		https://github.com/JoshCheek/thread_order
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem

BuildRequires:	ruby(release)
BuildRequires:	rubygems-devel
BuildRequires:	rubygem(rspec)
BuildRequires:	rubygem(rspec-support)
BuildRequires:	rubygem(rspec-expectations)
BuildRequires:	rubygem(diff-lcs)
BuildRequires:	%{_bindir}/rspec
BuildArch:	noarch

%description
Test helper for ordering threaded code.

%package	doc
Summary:	Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for %{name}.

%prep
%if 0%{?rhel} <= 7
gem unpack %{SOURCE0}
gem specification %{SOURCE0} -l --ruby > %{gem_name}-%{version}.gemspec
%endif
%setup -q -D -n %{gem_name}-%{version}

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
# Test is failing for some reason
# https://bugzilla.redhat.com/show_bug.cgi?id=1725819
sed -i "/^\s*not_loaded\! 'monitor.rb'$/ s/^/#/" \
  spec/thread_order_spec.rb

# No monkey patching
sed -i '/RSpec.describe/ i RSpec.configure do |config| config.expect_with :rspec do |c|  c.syntax = [:expect, :should] end end' \
  spec/thread_order_spec.rb

rspec spec
popd

%files
%dir	%{gem_instdir}
%license	%{gem_instdir}/License.txt
%{gem_libdir}
%{gem_spec}
%exclude %{gem_cache}
%exclude %{gem_instdir}/.*
%{gem_instdir}/%{gem_name}.gemspec

%files doc
%doc	%{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/spec
%doc	%{gem_instdir}/Readme.md


%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Feb  6 2019 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.1-1
- 1.1.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Aug 09 2015 Mamoru TASAKA <mtasaka@fedoraproject.org> - 1.1.0-1
- Initial package
